ObjectARX, AutoCAD. Среда программирования библиотеки C++


         

Создание Объекта COM - часть 2


IAcadBlock::AddCustomObject(BSTR ClassName, LPDISPATCH* pObject)

IAcadModelSpace::AddCustomObject(BSTR ClassName,

LPDISPATCH* pObject)

IAcadPaperSpace::AddCustomObject(BSTR ClassName,

LPDISPATCH* pObject)

CAcadDictionary::AddObject(BSTR Keyword, BSTR ObjectName,

IAcadObject** pObject)

Эти функции берут фактическое AcDbObject-полученное имя класса (например, AcDbMyObject) и создают объект COM для Вас. После того, как объект COM создан, IAcadBaseObjectId:: SetObjectId () будет,  обратился к этому, чтобы позволить AcDbObject-полученному классу быть инициализированным и добавлен к базе данных.

К obtai n CLSID для данного AcDbObject-полученного имени класса, системный реестр системы должен содержать вход с именем вашего AcDbObject и его передачи CLSID значение.

Размещение системного реестра напоминает это:

HKEY_LOCAL_MACHINE\SOFTWARE\Autodesk\

ObjectDBX\

ActiveXCLSID\

AcRxClassName\CLSID:REG_SZ:

{xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx}

В примере выше, замените AcRxClassName именем вашего AcDbObject-полученного класса (другими словами, AcDbMyObject).




Содержание  Назад  Вперед